apply plugin: 'com.android.application'
apply plugin: 'org.greenrobot.greendao'


android {
    compileSdkVersion 27
    defaultConfig {
        applicationId "com.sunil.payuandroidchallenge"
        minSdkVersion 21
        targetSdkVersion 27
        versionCode 1
        versionName "1.0"

    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    packagingOptions {
        exclude 'META-INF/**'
        exclude 'META-INF/**'
    }

}

greendao {
    targetGenDir 'src/main/java'
}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    api 'com.android.support:appcompat-v7:27.1.1'
    api 'com.android.support.constraint:constraint-layout:1.1.0'


    api 'com.android.support:recyclerview-v7:27.1.1'
    api 'com.android.support:cardview-v7:27.1.1'
    api 'com.android.support:design:27.1.1'

    api 'io.reactivex.rxjava2:rxandroid:2.0.2'
    api 'io.reactivex.rxjava2:rxjava:2.1.12'

    api 'com.jakewharton:butterknife:8.5.1'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.5.1'

    //api 'javax.inject:javax.inject:1'
    //compileOnly 'javax.annotation:jsr250-api:1.0'

    api "com.google.dagger:dagger:$rootProject.daggerVersion"
    api "com.google.dagger:dagger-android:$rootProject.daggerVersion"
    api "com.google.dagger:dagger-android-support:$rootProject.daggerVersion"
    annotationProcessor "com.google.dagger:dagger-android-processor:$rootProject.daggerVersion"
    annotationProcessor "com.google.dagger:dagger-compiler:$rootProject.daggerVersion"

    api 'org.greenrobot:greendao:3.2.2'
    //数据库加密
    api 'net.zetetic:android-database-sqlcipher:3.5.1'

    //api 'com.google.guava:guava:22.0'

    api 'com.jakewharton.timber:timber:4.5.1'

    api 'com.squareup.retrofit2:retrofit:2.3.0'
    api 'com.squareup.retrofit2:adapter-rxjava2:2.3.0'
    api 'com.squareup.retrofit2:converter-gson:2.3.0'
    api 'com.squareup.picasso:picasso:2.5.2'
    api 'com.jakewharton.rxbinding2:rxbinding:2.1.1'
}
